// This script creates and displays a signed 32-bit int image,
// using the IntProcessor class, added in ImageJ 1.53g44.

     var size = 800;
     var n = size*size;
     var ip = new IntProcessor(size,size);
     var range = Integer.MAX_VALUE - Integer.MIN_VALUE; 
     for (var i=0; i<n; i++) {
        value = Integer.MIN_VALUE + i*range/n;
        ip.set(i, value);
     }
     var img = new ImagePlus("32-bit int image",ip);
     img.getProcessor().resetMinAndMax();
     IJ.run(img,"Viridis","");
     img.show();
 
