// This macro demonstrates how to use the "Composite ROIs"
// and "Overlay" options, added to the particle analyzer 
// in ImageJ 1.53g

  run("Fresh Start");
  run("Blobs (25K)"); 
  setLocation(100, 150);
  setThreshold(192, 255);
  makeRectangle(56, 132, 68, 61);
  run("To Selection");
  doWand(80, 175);
  log("Measure: "+getValue("Area"));
  selectWindow("Log"); setLocation(650, 150);
  log("Measure (limit to threshold): "+getValue("Area limit"));
  run("Analyze Particles...", "display overlay");
  selectWindow("Log"); 
  log("Analyze Particles: "+Table.get('Area',Table.size-1));
  run("Analyze Particles...", "display overlay include");
  log("Analyze Particles (Include holes): "+Table.get("Area",Table.size-1));
  run("Analyze Particles...", "display overlay composite");
  Roi.remove;
  log("Analyze Particles (Composite ROIs): "+Table.get("Area",Table.size-1));

  function log(msg) {
     print(msg);
     wait(3000);
  }
